import * as React from 'react';
import type { Meta } from '@storybook/react';
import { MenuMultiSelect as Component, MenuMultiSelectProps as Props } from '.';

const meta: Meta<typeof Component> = {
	component: Component,
	argTypes: {
		onChange: {
			table: {
				disable: true,
			},
			action: 'changed',
		},
	},
	args: {
		...(Component.defaultProps ?? {}),
	},
};

export const MenuMultiSelect = (args: Omit<Props, 'ref'>) => (
	<Component
		{...args}
	/>
);

export default meta;
